Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Class ServerConnection

    java.lang.Object
      de.grogra.persistence.PersistenceConnection
          de.grogra.persistence.ServerConnection

    public class ServerConnection

extends PersistenceConnection

Constructor Summary
`ServerConnection(PersistenceBindings bindings)`

Method Summary
`void` | `commit(Transaction.Data xa, long stamp)`
`void` | `deregisterManager(PersistenceManager manager)`
`RemoteClient` | `getClient(short managerId)`
`PersistenceManager` | `getLocalManager(short managerId)`
`PersistenceManager` | `initialize(short remoteManagerId)`
`short` | `registerManager(PersistenceManager manager, java.lang.String key)`
`short` | `registerRemoteManager(RemoteClient c, java.lang.String key)`

Methods inherited from class de.grogra.persistence.PersistenceConnection
`getBindings, getLocalCache, initializeCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerConnection

    public ServerConnection(PersistenceBindings bindings)

Method Detail

### commit

    public void commit(Transaction.Data xa,
                       long stamp)

  Specified by:
    `commit` in class `PersistenceConnection`

### deregisterManager

    public void deregisterManager(PersistenceManager manager)

  Specified by:
    `deregisterManager` in class `PersistenceConnection`

### getClient

    public RemoteClient getClient(short managerId)

### getLocalManager

    public PersistenceManager getLocalManager(short managerId)

### initialize

    public PersistenceManager initialize(short remoteManagerId)

### registerManager

    public short registerManager(PersistenceManager manager,
                                 java.lang.String key)

  Specified by:
    `registerManager` in class `PersistenceConnection`

### registerRemoteManager

    public short registerRemoteManager(RemoteClient c,
                                       java.lang.String key)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD